Data Fields

# arm_fir_lattice_instance_q31 Struct Reference

Instance structure for the Q31 FIR lattice filter. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numStages
q31_t * | pState
q31_t * | pCoeffs

## Detailed Description

Instance structure for the Q31 FIR lattice filter.

Definition at line 3642 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_lattice_instance_q31::numStages

number of filter stages.

Definition at line 3644 of file arm_math.h.

q31_t* arm_fir_lattice_instance_q31::pState

points to the state variable array. The array is of length numStages.

Definition at line 3645 of file arm_math.h.

q31_t* arm_fir_lattice_instance_q31::pCoeffs

points to the coefficient array. The array is of length numStages.

Definition at line 3646 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines